import React , {Component} from 'react';
import {Link} from 'react-router';
import {connect} from 'react-redux';
import fetch from 'isomorphic-fetch';

class FyreLink extends Component{
  handleClick(e){
    fetch(this.props.push||this.pushRoute,this.props.options||{
      method: "POST",
      headers:{
        "Content-Type":"application/json"
      },
      body:JSON.stringify(this.props.state),
      credentials:'same-origin'
    });
    if(this.props.onClick){
      this.props.onClick(e)
    }

  }
  render(){
    return(
      <Link to={this.props.to} onClick={this.handleClick.bind(this)} className={this.props.className}>{this.props.children}</Link>
    );
  }
}

function mapStateToProps(state){
  return {state};
}

export default connect(mapStateToProps)(FyreLink);
